# RPM specfile for libgtkhtml module
# Generated Wed Nov 19 19:53:52 2003 GMT by Ximian build system
# $Id: bb_do,v 1.241 2003/07/31 17:23:14 thunder Exp $
# from 

%define nam	libgtkhtml
%define ver	2.2.4
%define licensedir	%{_datadir}/licenses/%{nam}-%{ver}
%define ximrev	4

Name:     	gtkhtml2
Version: 	2.2.4
Release:	0.ximian.6.4
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 9 / i386
Copyright:	LGPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://www.gnome.org/
Source0:	libgtkhtml-2.2.4.tar.gz
Summary:	GNOME HTML library
Group:		System Environment/Libraries
Provides:	libgtkhtml = %{version}-%{release}
Provides:	ximian-gtkhtml2 = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Obsoletes:	libgtkhtml
Conflicts:	libgtkhtml < %{version}-%{release}
Conflicts:	gtkhtml2-devel < 2.2.4-0.ximian.6.4
Conflicts:	gtkhtml2-devel > 2.2.4-0.ximian.6.4

%description
 
GtkHTML is a lightweight HTML rendering and editing library.
Both the HTML display and editing functions are embeddable as bonobo components.
This is the GNOME 2 version of gtkhtml.


%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING
/usr/lib/lib*.so.*


%post
ldconfig

%postun
ldconfig

%package -n gtkhtml2-devel
Summary:	Libraries and headers for libgtkhtml
Group:		Development/Libraries
Requires:	gtkhtml2 = 2.2.4-0.ximian.6.4
Requires:	libgnomeui-devel
Provides:	libgtkhtml-devel = %{version}-%{release}
Provides:	ximian-gtkhtml2-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Obsoletes:	libgtkhtml-devel
Conflicts:	libgtkhtml-devel < %{version}-%{release}

%description -n gtkhtml2-devel

Libraries and header files required to develop software that uses the
GNOME 2 version of gtkhtml. You should install this package if you
would like to compile applications that use gtkhtml.


%files -n gtkhtml2-devel
%defattr(-, root, root)
/usr/lib/pkgconfig/*
/usr/lib/lib*.so
/usr/lib/*.a
/usr/include/*


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n libgtkhtml-2.2.4
    ;;
all)
%setup  -q -n libgtkhtml-2.2.4
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} DESTDIR=${DESTDIR} install
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Wed Nov 19 2003 Ximian, Inc.

- Version: 2.2.4-0.ximian.6.4
- Summary: New build.
- New automated build.

* Thu Mar 20 2003 Ximian, Inc.

- Version: 2.1.8-1.ximian.2
- Summary: New build.
- New automated build.

* Thu Aug 29 2002 Ximian, Inc.

- Version: 2.0.2-1.ximian.1
- Summary: New build.
- New automated build.

* Fri Aug 16 2002 Ximian, Inc.

- Version: 2.0.1-1.ximian.1
- Summary: New build.
- New automated build.

* Mon Jul 15 2002 Ximian, Inc.

- Version: 2.0.0-1.ximian.1
- Summary: New build.
- New automated build.

